Gets all available interval transformation methods
GET /time/intervals/intervalTransformationMethods
Lists all available interval transformation methods which are used to determine how data is transformed along the time axis, for example when changing the interval in which data is read from or written to a time series.
Responses
Section titled “Responses”| Code | Description | Type |
|---|---|---|
200 |
A list of all available interval transformation methods. | EnumerationOfIntervalTransformationMethod[] |
4XX |
Indicates that the request failed due to a client error. Please refer to the details provided in the body of the response in order to ensure that the request can be handled properly. | ProblemDetails |
5XX |
Indicates that the request failed due to an error that occurred on the server. Consider reporting this error to the server operators. | ProblemDetails |
Schema: EnumerationOfIntervalTransformationMethod[]
[ { "value": 1, "name": "string" }]Schema: EnumerationOfIntervalTransformationMethod[]
[ { "value": 1, "name": "string" }]Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Was this page helpful?Thanks for your feedback!